# OpenLayers.Renderer.SVG

#### Inherits

- OpenLayers.Renderer.Elements

Summary

OpenLayers.Renderer.SVG |
Constants |
MAX_PIXEL | {Integer} Firefox has a limitation where values larger or smaller than about 15000 in an SVG document lock the browser up.
Constructor |
OpenLayers.Renderer.SVG |
Functions |
supported | {Boolean} Whether or not the browser supports the SVG renderer
Constants |
OpenLayers.Renderer.SVG.LABEL_ALIGN | {Object}
OpenLayers.Renderer.SVG.LABEL_VSHIFT | {Object}
OpenLayers.Renderer.SVG.LABEL_VFACTOR | {Object}

### Constants

### MAX_PIXEL

{Integer} Firefox has a limitation where values larger or smaller than about 15000 in an SVG document lock the browser up. This works around it.

### Constructor

### OpenLayers.Renderer.SVG

#### Parameters

containerID | {String}

### Functions

### supported

> supported: function()

#### Returns

{Boolean} Whether or not the browser supports the SVG renderer

### Constants

### OpenLayers.Renderer.SVG.LABEL_ALIGN

{Object}

### OpenLayers.Renderer.SVG.LABEL_VSHIFT

{Object}

### OpenLayers.Renderer.SVG.LABEL_VFACTOR

{Object}

> supported: function()

{Boolean} Whether or not the browser supports the SVG renderer
This is another virtual class in that it should never be instantiated by itself as a Renderer.
Close